<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

$app = JFactory::getApplication();
$template_name = $app->getTemplate(true);
		
// BT Template Helper
$bt_helper = JPATH_BASE.DS.'templates'.DS.$template_name.DS.'helpers'.DS.'bt_helper.php';
require_once ($bt_helper);
$bt = new btTemplateHelper();
?>

<div id="bt_contact_category_header">
    <?php 
    //Page TItle
    if ( $this->params->get( 'show_page_title', 1 ) ) : ?>
        <div id="bt_contact_category_title" class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
			<?php echo $this->escape($this->params->get('page_title')); ?>
        </div>
    <?php endif; ?>
    
    <!-- CONTACT CATEGORY ICON -->
    <div id="bt_contact_category_icon">
        <img src="<?php echo $this->baseurl; ?>/templates/<?php echo $template_name;?>/images/<?php echo $bt->skin;?>/html/com_contact/bt_contact_icon.jpg" border="0" width="88" height="61" alt="" /> 
    </div>
</div>

<div class="clearfix"></div>

<div id="bt_contact_category_desc">
	<?php if ($this->category->description) : ?>
        <?php echo $this->category->description; ?>
    <?php endif; ?>
</div>

<script language="javascript" type="text/javascript">
	function tableOrdering( order, dir, task ) {
	var form = document.adminForm;

	form.filter_order.value 	= order;
	form.filter_order_Dir.value	= dir;
	document.adminForm.submit( task );
}
</script>
<form action="<?php echo $this->action; ?>" method="post" name="adminForm">
<div id="bt_contact_category_form">
   
   	<div class="clearfix"></div>
    
    <?php if ($this->params->get( 'show_headings' )) : ?>
    <div id="bt_contact_category_head">
    	<div id="bt_head_num"><?php echo JText::_('Num'); ?></div>
    	<div id="bt_head_name"><span><?php echo JHTML::_('grid.sort',  'Name', 'cd.name', $this->lists['order_Dir'], $this->lists['order'] ); ?></span></div>
    	<?php if ( $this->params->get( 'show_position' ) ) : ?>
        	<div id="bt_head_position"><span><?php echo JHTML::_('grid.sort',  'Position', 'cd.con_position', $this->lists['order_Dir'], $this->lists['order'] ); ?></span></div>
        <?php endif; ?>
    	<?php if ( $this->params->get( 'show_email' ) ) : ?>
        <div id="bt_head_email"><span><?php if ( $this->params->get( 'show_email' ) ) : ?><?php echo JText::_( 'Email' ); ?><?php endif; ?></span></div>
    	<?php endif; ?>
    	<?php if ( $this->params->get( 'show_telephone' ) ) : ?>
        <div id="bt_head_phone"><span><?php if ( $this->params->get( 'show_telephone' ) ) : ?><?php echo JText::_( 'Phone' ); ?><?php endif; ?></span></div>
    	<?php endif; ?>
    	<?php if ( $this->params->get( 'show_mobile' ) ) : ?>
        <div id="bt_head_mobile"><span><?php if ( $this->params->get( 'show_mobile' ) ) : ?><?php echo JText::_( 'Mobile' ); ?><?php endif; ?></span></div>
    	<?php endif; ?>
    	<?php if ( $this->params->get( 'show_fax' ) ) : ?>
        <div id="bt_head_fax"><span><?php if ( $this->params->get( 'show_fax' ) ) : ?><?php echo JText::_( 'Fax' ); ?><?php endif; ?></span></div>
    	<?php endif; ?>
    </div>
    <?php endif; ?>

    <div class="clearfix"></div>

	<?php foreach($this->items as $item) : ?>
    <div id="bt_contact_category_items" class="bt_sectiontableentry<?php echo $item->odd + 1; ?>">
        <div id="bt_items_num"><?php echo $item->count +1; ?></div>
        <div id="bt_items_name"><a href="<?php echo $item->link; ?>" class="category<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>"><?php echo $item->name; ?></a></div>
        <?php if ( $this->params->get( 'show_position' ) ) : ?><div id="bt_items_position"><?php echo $this->escape($item->con_position); ?></div><?php endif; ?>
        <?php if ( $this->params->get( 'show_email' ) ) : ?><div id="bt_items_email"><?php echo $item->email_to; ?></div><?php endif; ?>
        <?php if ( $this->params->get( 'show_telephone' ) ) : ?><div id="bt_items_telephone"><?php echo $this->escape($item->telephone); ?></div><?php endif; ?>
        <?php if ( $this->params->get( 'show_mobile' ) ) : ?><div id="bt_items_mobile"><?php echo $this->escape($item->mobile); ?></div><?php endif; ?>
        <?php if ( $this->params->get( 'show_fax' ) ) : ?><div id="bt_items_fax"><?php echo $this->escape($item->fax); ?></div><?php endif; ?>
    </div>
    <?php endforeach; ?>    
    
    <p class="page_links">
		<?php echo $this->pagination->getPagesLinks(); ?>
    </p>
    
    <div class="clearfix"></div>
    
    <p class="counter">
		<?php echo $this->pagination->getPagesCounter(); ?>
    </p>
    	
    <p class="limit">
		<?php
        echo JText::_('Display Num') .'&nbsp;';
        echo $this->pagination->getLimitBox();
        ?>
    </p>
                   
</div>
<input type="hidden" name="option" value="com_contact" />
<input type="hidden" name="catid" value="<?php echo $this->category->id;?>" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
<input type="hidden" name="viewcache" value="0" />
</form>