<?php 
/*--------------------------------------------------------
# BT Soccerlift v1.0 (July 2010) - Joomla Template
# --------------------------------------------------------
# Joomla 1.5, Joomla 1.7
# Copyright (C) 2011 Bonusthemes.com. All Rights Reserved.
# @license Copyrighted Commercial Software
# Demo: http://www.bonusthemes.com/goto/soccerlift/
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

defined( '_JEXEC' ) or die( 'Restricted access' );

if (!isset($this->error)) {
	$this->error = JError::raiseWarning( 403, JText::_('ALERTNOTAUTH') );
	$this->debug = false; 
}

// BT Template Helper
$bt_helper = JPATH_BASE.DS.'templates'.DS.$this->template.DS.'helpers'.DS.'bt_helper.php';
require_once ($bt_helper);
$bt = new btTemplateHelper();

// bg image ONLY FOR SOCCERLIFT
$bg_image = ($bt->display_bg_image) ? ' style="background: #152F47 url('.$bt->host.'templates/'.$this->template.'/images/'.$bt->skin.'/layout/main_image.jpg) scroll no-repeat top left;"' : '';

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>"><head>
	
    <?php if (JVERSION < '1.6') { ?>
		<title><?php echo $this->error->code ?> - <?php echo $this->title; ?></title>
    <?php }else{ ?>
	    <title><?php echo $this->error->getCode(); ?> - <?php echo $this->title; ?></title>
    <?php } ?>
    
    <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/system/error.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/<?php echo $bt->skin; ?>.css" type="text/css" />
</head>
<body<?php echo $bg_image;?>>

<?php if (JVERSION < '1.6') { ?>
    <div id="bt_error_logo"><?php echo $bt->bt_logo; ?></div>    
    <div id="bt_error_outer">
    
        <div id="bt_error_code_message"><p><?php echo $this->error->message ?></p></div>
        <div id="bt_error_image">&nbsp;</div>
        <div id="bt_error_message">
            <div id="bt_error_notice_exmark">&nbsp;</div>
            <div id="bt_error_notice_text"><p><?php echo JText::_('You may not be able to visit this page because of:'); ?></p></div>
            <div id="bt_error_details">
                <ol>
                    <li><?php echo JText::_('An out-of-date bookmark/favourite'); ?></li>
                    <li><?php echo JText::_('A search engine that has an out-of-date listing for this site'); ?></li>
                    <li><?php echo JText::_('A mis-typed address'); ?></li>
                    <li><?php echo JText::_('You have no access to this page'); ?></li>
                    <li><?php echo JText::_('The requested resource was not found'); ?></li>
                    <li><?php echo JText::_('An error has occurred while processing your request.'); ?></li>
                </ol>
            <p style="font-size: 120%;"><strong><?php echo JText::_('Please try one of the following pages:'); ?></strong></p>
                <ul>
                    <li><a href="<?php echo $this->baseurl; ?>/index.php" title="<?php echo JText::_('Go to the home page'); ?>"><?php echo JText::_('Home Page'); ?></a></li>
                </ul>
            <p><?php echo JText::_('If difficulties persist, please contact the system administrator of this site.'); ?></p>
            </div>
        </div>
    </div>
<?php }else{ ?>
    <div id="bt_error_logo"><?php echo $bt->bt_logo; ?></div>    
    <div id="bt_error_outer">
    
        <div id="bt_error_code_message"><p><?php echo $this->error->getMessage(); ?></p></div>
        <div id="bt_error_image">&nbsp;</div>
        <div id="bt_error_message">
            <div id="bt_error_notice_exmark">&nbsp;</div>
            <div id="bt_error_notice_text"><p><?php echo JText::_('JERROR_LAYOUT_NOT_ABLE_TO_VISIT'); ?></p></div>
            <div id="bt_error_details">
                <ol>
                    <li><?php echo JText::_('JERROR_LAYOUT_AN_OUT_OF_DATE_BOOKMARK_FAVOURITE'); ?></li>
                    <li><?php echo JText::_('JERROR_LAYOUT_SEARCH_ENGINE_OUT_OF_DATE_LISTING'); ?></li>
                    <li><?php echo JText::_('JERROR_LAYOUT_MIS_TYPED_ADDRESS'); ?></li>
                    <li><?php echo JText::_('JERROR_LAYOUT_YOU_HAVE_NO_ACCESS_TO_THIS_PAGE'); ?></li>
                    <li><?php echo JText::_('JERROR_LAYOUT_REQUESTED_RESOURCE_WAS_NOT_FOUND'); ?></li>
                    <li><?php echo JText::_('JERROR_LAYOUT_ERROR_HAS_OCCURRED_WHILE_PROCESSING_YOUR_REQUEST'); ?></li>
                </ol>
                <p style="font-size: 120%;"><strong><?php echo JText::_('JERROR_LAYOUT_PLEASE_TRY_ONE_OF_THE_FOLLOWING_PAGES'); ?></strong></p>
                <ul>
                    <li><a href="<?php echo $this->baseurl; ?>/index.php" title="<?php echo JText::_('JERROR_LAYOUT_GO_TO_THE_HOME_PAGE'); ?>"><?php echo JText::_('JERROR_LAYOUT_HOME_PAGE'); ?></a></li>
                    <li><a href="<?php echo $this->baseurl; ?>/index.php?option=com_search" title="<?php echo JText::_('JERROR_LAYOUT_SEARCH_PAGE'); ?>"><?php echo JText::_('JERROR_LAYOUT_SEARCH_PAGE'); ?></a></li>
                </ul>
            <p><?php echo JText::_('If difficulties persist, please contact the system administrator of this site.'); ?></p>
            </div>
        </div>
    </div>
    <div style="color: #999;"><small><?php if ($this->debug) : echo $this->renderBacktrace(); endif; ?></small></div>
<?php } ?>
</body>
</html>