<?php
/*--------------------------------------------------------
# BT Soccerlift v1.0 (July 2010) - Joomla Template
# --------------------------------------------------------
# Joomla 1.5, @joomla 1.7
# Copyright (C) 2011 Bonusthemes.com. All Rights Reserved.
# @license Copyrighted Commercial Software
# Demo: http://www.bonusthemes.com/goto/soccerlift/
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

// no direct access
defined('_JEXEC') or die('Restricted access');

$canEdit = ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own'));
?>

<div class="bt_content">

	<?php if ($this->params->get('show_page_title', 1) && $this->params->get('page_title') != $this->article->title) : ?>
    <!-- Page Title -->
		<div class="contentheading">
    	    <?php echo $this->escape($this->params->get('page_title')); ?>
		</div>
	<?php endif; ?>
                	    
    <div class="bt_content_bgline">

<?php  if (($this->params->get('show_author') && $this->article->author != "") || (intval($this->article->modified) !=0 && $this->params->get('show_modify_date')) || ($this->params->get('show_create_date')) || ($this->params->get('show_pdf_icon') || $this->params->get('show_print_icon') || $this->params->get('show_email_icon')) || $canEdit) { ?>


        <div class="bt_content_first_line">

           <?php if ($this->params->get('show_create_date')) : ?>
                <div class="bt_content_createdate">
                    <?php echo JHTML::_('date', $this->article->created, JText::_('%d %B %Y')) ?>
                </div>
            <?php endif; ?>

           <?php if (($this->params->get('show_author')) && ($this->article->author != "")) : ?>
                <div class="bt_content_author">
                    <?php 
                    $bt_author = $this->escape($this->article->created_by_alias) ? $this->escape($this->article->created_by_alias) : $this->escape($this->article->author); 
                    echo $bt_author;
                    ?>
                </div>
            <?php endif; ?>
        
			<?php if ( intval($this->article->modified) !=0 && $this->params->get('show_modify_date')) : ?>
            <div class="bt_content_modify_date">
                <?php echo JText::sprintf('LAST_UPDATED2', JHTML::_('date', $this->article->modified, JText::_('%d %B %Y, %H:%M'))); ?>
            </div>
            <?php endif; ?>

            <div class="bt_content_tools">
                <?php if (!$this->print) : ?>
                    <?php if ($this->params->get('show_pdf_icon')) : ?>
                    <div class="bt_content_pdf">
                    <?php echo JHTML::_('icon.pdf',  $this->article, $this->params, $this->access); ?>
                    </div>
                    <?php endif; ?>
            
                    <?php if ( $this->params->get( 'show_print_icon' )) : ?>
                    <div class="bt_content_print">
                    <?php echo JHTML::_('icon.print_popup',  $this->article, $this->params, $this->access); ?>
                    </div>
                    <?php endif; ?>
            
                    <?php if ($this->params->get('show_email_icon')) : ?>
                    <div class="bt_content_email">
                    <?php echo JHTML::_('icon.email',  $this->article, $this->params, $this->access); ?>
                    </div>
                    <?php endif; ?>
                    <?php if ($canEdit) : ?>
                    <div class="bt_content_edit">
                        <?php echo JHTML::_('icon.edit', $this->article, $this->params, $this->access); ?>
                    </div>
                    <?php endif; ?>
                <?php else : ?>
                    <div class="bt_content_edit">
                    <?php echo JHTML::_('icon.print_screen',  $this->article, $this->params, $this->access); ?>
                    </div>
                <?php endif; ?>
            </div>

        </div>
        <?php } ?>
        

		<?php if (($this->params->get('show_section') && $this->article->sectionid) || ($this->params->get('show_category') && $this->article->catid)) : ?>
        <div class="bt_content_second_line">
                    
            <div class="bt_content_section_category">
            
                <?php if ($this->params->get('show_section') && $this->article->sectionid && isset($this->article->section)) : ?>
                <div class="bt_content_section">
                    <?php echo '<span class="bt_content_section_txt">'.JText::_('SECTION').': </span>';?>
                    <?php if ($this->params->get('link_section')) : ?>
                        <?php echo '<a href="'.JRoute::_(ContentHelperRoute::getSectionRoute($this->article->sectionid)).'">'; ?>
                    <?php endif; ?>
                    <?php echo $this->escape($this->article->section); ?>
                    <?php if ($this->params->get('link_section')) : ?>
                        <?php echo '</a>'; ?>
                    <?php endif; ?>
                 </div>
                       <?php if ($this->params->get('show_category')) : ?>
                        <?php echo ''; ?>
                    <?php endif; ?>
                <?php endif; ?>
                
                <?php if ($this->params->get('show_category') && $this->article->catid) : ?>
                <div class="bt_content_category">
                    <?php echo '<span class="bt_content_category_txt">'.JText::_('CATEGORY').': </span>';?>
                    <?php if ($this->params->get('link_category')) : ?>
                        <?php echo '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->article->catslug, $this->article->sectionid)).'">'; ?>
                    <?php endif; ?>
                    <?php echo $this->escape($this->article->category); ?>
                    <?php if ($this->params->get('link_category')) : ?>
                        <?php echo '</a>'; ?>
                    <?php endif; ?>
                </div>
                <?php endif; ?>
            
            </div>
                    
        </div>

		<?php endif; ?>

		<?php if ($this->params->get('show_title')) { ?>
            <div class="bt_content_title">
            <div class="bt_content_title_inner">
            <?php if ($this->params->get('link_titles') && $this->article->readmore_link != '') : ?>
                <a href="<?php echo $this->article->readmore_link; ?>">
                    <?php echo $this->escape($this->article->title); ?></a>
                <?php else : ?>
                    <?php echo $this->escape($this->article->title); ?>
                <?php endif; ?>
            </div>
            </div>
        <?php } ?>
    
    <?php //endif; ?>
    
	</div>
  	
	<?php
	//Joomla Core
	if (!$this->params->get('show_intro')) :
		echo $this->article->event->afterDisplayTitle;
	endif; 
	
	?>
    
    <div class="contentpaneopen<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
    	
        <?php echo $this->article->event->beforeDisplayContent; ?>
        
        <!-- Content -->
        <div class="bt_content_text">
        
            <?php if (isset ($this->article->toc)) : ?>
                <?php echo $this->article->toc; ?>
            <?php endif; ?>
            
            <?php echo $this->article->text; ?>
            
        </div>
    
    </div>
<div id="bredcrumbs"><h2><a href="http://yaodessit.com" title="работа в одессе">работа в одессе</a></h2></div>
    <span class="article_separator">&nbsp;</span>
	<?php echo $this->article->event->afterDisplayContent; ?>

</div>