<?php
/*--------------------------------------------------------
# BT Soccerlift v1.0 (July 2010) - Joomla Template
# --------------------------------------------------------
# Joomla 1.5, @joomla 1.7
# Copyright (C) 2011 Bonusthemes.com. All Rights Reserved.
# @license Copyrighted Commercial Software
# Demo: http://www.bonusthemes.com/goto/soccerlift/
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

// no direct access
defined('_JEXEC') or die('Restricted access'); ?>

<script language="javascript" type="text/javascript">

	function tableOrdering( order, dir, task )
	{
		var form = document.adminForm;

		form.filter_order.value 	= order;
		form.filter_order_Dir.value	= dir;
		document.adminForm.submit( task );
	}
</script>

<form action="<?php echo $this->action; ?>" method="post" name="adminForm">

<div class="bt_content_category_list_form">

	<?php if ($this->params->get('filter') || $this->params->get('show_pagination_limit')) : ?>
    
	<div class="bt_content_category_list_header">
    
            <?php if ($this->params->get('filter')) : ?>
    		
            <div class="bt_content_category_list_header_filter">
            
                    <?php echo JText::_($this->params->get('filter_type') . ' Filter').'&nbsp;'; ?>
                    <input type="text" name="filter" value="<?php echo $this->escape($this->lists['filter']);?>" class="inputbox" onchange="document.adminForm.submit();" />
    		
            </div>
    		
            <?php endif; ?>
            
            <?php if ($this->params->get('show_pagination_limit')) : ?>
            
            <div class="bt_content_category_list_header_limit">
            
                <?php
                    echo JText::_('Display Num');
                    echo $this->pagination->getLimitBox();
                ?>
    		
            </div>
            
            <?php endif; ?>
            
    </div>
    
    <?php endif; ?>
    
    <?php if ($this->params->get('show_headings')) : ?>
    
    <div class="bt_content_category_list_head">
    
        <div class="bt_head_num"><?php echo JText::_('Num'); ?></div>
    
        
		<?php if ($this->params->get('show_title')) : ?>
    	
        <div class="bt_head_title">
        <span>
        
            <?php echo JHTML::_('grid.sort',  'Item Title', 'a.title', $this->lists['order_Dir'], $this->lists['order'] ); ?>
    
        </span>
        </div>
        
		<?php endif; ?>
        
        
		<?php if ($this->params->get('show_date')) : ?>
    	
        <div class="bt_head_date">
        <span>
        
            <?php echo JHTML::_('grid.sort',  'Date', 'a.created', $this->lists['order_Dir'], $this->lists['order'] ); ?>
    
    	</span>
        </div>
        
        <?php endif; ?>
        
        
        <?php if ($this->params->get('show_author')) : ?>

        <div class="bt_head_author">
        <span>
    
            <?php echo JHTML::_('grid.sort',  'Author', 'author', $this->lists['order_Dir'], $this->lists['order'] ); ?>

    	</span>
        </div>
    
        <?php endif; ?>
        
        
        <?php if ($this->params->get('show_hits')) : ?>

        <div class="bt_head_hits">
        <span>
   
            <?php echo JHTML::_('grid.sort',  'Hits', 'a.hits', $this->lists['order_Dir'], $this->lists['order'] ); ?>
    
    	</span>
        </div>

        <?php endif; ?>
    
    </div>
	<?php endif; ?>
    
    <div class="clearfix"></div>
    
    <?php foreach ($this->items as $item) : ?>
    
    <div class="bt_content_category_list_items">
    
    	<div class="sectiontableentry<?php echo ($item->odd +1 ) . $this->escape($this->params->get('pageclass_sfx')); ?>" >
    
            <div class="bt_items_num">
            
                <?php echo $this->pagination->getRowOffset( $item->count ); ?>
            
            </div>
        
            <?php if ($this->params->get('show_title')) : ?>
            
            <div class="bt_items_title">
            
				<?php if ($item->access <= $this->user->get('aid', 0)) : ?>
            
                    <a href="<?php echo $item->link; ?>">
                        <?php echo $this->escape($item->title); ?></a>
                        <?php $this->item = $item; echo JHTML::_('icon.edit', $item, $this->params, $this->access) ?>
            
                <?php else : ?>
            
                    <?php
                        echo $this->escape($item->title).' : ';
                        $link = JRoute::_('index.php?option=com_user&view=login');
                        $returnURL = JRoute::_(ContentHelperRoute::getArticleRoute($item->slug, $item->catslug, $item->sectionid), false);
                        $fullURL = new JURI($link);
                        $fullURL->setVar('return', base64_encode($returnURL));
                        $link = $fullURL->toString();
                    ?>
                    <a href="<?php echo $link; ?>">
                        <?php echo JText::_( 'Register to read more...' ); ?></a>
            
                <?php endif; ?>
            
            </div>
            
			<?php endif; ?>
            
            
            <?php if ($this->params->get('show_date')) : ?>
        	
            <div class="bt_items_date">
            
                <?php echo $item->created; ?>
        	
            </div>
            
            <?php endif; ?>
            
            
            <?php if ($this->params->get('show_author')) : ?>
            
            <div class="bt_items_author">
        
                <?php echo $this->escape($item->created_by_alias) ? $this->escape($item->created_by_alias) : $this->escape($item->author); ?>
        	
            </div>
            
            <?php endif; ?>
            
            
            <?php if ($this->params->get('show_hits')) : ?>
            
            <div class="bt_items_hits">
        
                <?php echo $this->escape($item->hits) ? $this->escape($item->hits) : '-'; ?>
            
            </div>
            
            <?php endif; ?>
        
	    </div>
    </div>
    <?php endforeach; ?>

	<?php if ($this->params->get('show_pagination')) : ?>
        
        <div class="clearfix"></div>
        
        <!-- PAGINATION -->
        <p class="page_links">
            <?php echo $this->pagination->getPagesLinks(); ?>
        </p>
    
        <p class="counter">
            <?php echo $this->pagination->getPagesCounter(); ?>
        </p>
    
    <?php endif; ?>

</div>

<input type="hidden" name="id" value="<?php echo $this->category->id; ?>" />
<input type="hidden" name="sectionid" value="<?php echo $this->category->sectionid; ?>" />
<input type="hidden" name="task" value="<?php echo $this->lists['task']; ?>" />
<input type="hidden" name="filter_order" value="" />
<input type="hidden" name="filter_order_Dir" value="" />
<input type="hidden" name="limitstart" value="0" />
<input type="hidden" name="viewcache" value="0" />
</form>