<?php
/*--------------------------------------------------------
# BT Soccerlift v1.0 (July 2010) - Joomla Template
# --------------------------------------------------------
# Joomla 1.5, @joomla 1.7
# Copyright (C) 2011 Bonusthemes.com. All Rights Reserved.
# @license Copyrighted Commercial Software
# Demo: http://www.bonusthemes.com/goto/soccerlift/
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

// no direct access
defined('_JEXEC') or die('Restricted access');

//get template name
$app = JFactory::getApplication();
$template_name = $app->getTemplate(true);

// BT Template Helper
$bt_helper = JPATH_BASE.DS.'templates'.DS.$template_name.DS.'helpers'.DS.'bt_helper.php';
require_once ($bt_helper);
$bt = new btTemplateHelper();

?>

<div id="bt_poll_graph">

	<div id="bt_poll_no_of_voters">
		<img src="<?php echo $this->baseurl; ?>/templates/<?php echo $bt->template_name;?>/images/<?php echo $bt->skin;?>/html/com_poll/bt_no_of_voters_icon.jpg" border="0" width="13" height="16" alt="<?php echo JText::_( 'Number of Voters' ); ?>" /> 
		<?php echo JText::_( 'Number of Voters' ); ?>:  
        <span><?php if(isset($this->votes[0])) echo $this->votes[0]->voters; ?></span>
    </div>
    
    <div id="bt_poll_first_last">
        <div id="bt_poll_first_vote">
			<img src="<?php echo $this->baseurl; ?>/templates/<?php echo $bt->template_name;?>/images/<?php echo $bt->skin;?>/html/com_poll/bt_first_last_time_vote_icon.jpg" border="0" width="14" height="16" alt="<?php echo JText::_( 'First Vote' ); ?>" /> 
			<?php echo JText::_( 'First Vote' ); ?>: <?php echo $this->escape($this->first_vote); ?>
        </div>
        
        <div id="bt_poll_last_vote">
			<img src="<?php echo $this->baseurl; ?>/templates/<?php echo $bt->template_name;?>/images/<?php echo $bt->skin;?>/html/com_poll/bt_first_last_time_vote_icon.jpg" border="0" width="14" height="16" alt="<?php echo JText::_( 'Last Vote' ); ?>" /> 
			<?php echo JText::_( 'Last Vote' ); ?>: <?php echo $this->escape($this->last_vote); ?>        
        </div>
    </div>
    
    <div id="bt_poll_options">
    	<?php foreach($this->votes as $vote) : ?>
            <div id="bt_poll_options_title" class="sectiontableentry<?php echo $vote->odd; ?>">
                    <?php echo $vote->text; ?>
            </div>
            
            <div id="bt_poll_options_border_line" class="sectiontableentry<?php echo $vote->odd; ?>">
            	
                <div id="bt_poll_options_hits">
                  <img src="<?php echo $this->baseurl; ?>/templates/<?php echo $bt->template_name;?>/images/<?php echo $bt->skin;?>/html/com_poll/bt_poll_hits.jpg" border="0" width="13" height="16" alt="<?php echo JText::_( 'Hits' ); ?>" /> 
                  <span><?php echo $this->escape($vote->hits); ?></span>
                </div>
 
            	<div id="bt_poll_options_percent_box" style="width: <?php echo $vote->percent; ?>%;">
                </div>
               
            	<div id="bt_poll_options_percent">
                  <span><?php echo $this->escape($vote->percent); ?>%</span>
                </div>

            </div>
        <?php endforeach; ?>
    </div>
    
</div>