<?php
/*--------------------------------------------------------
# BT Soccerlift v1.0 (July 2010) - Joomla Template
# --------------------------------------------------------
# Joomla 1.5, @joomla 1.7
# Copyright (C) 2011 Bonusthemes.com. All Rights Reserved.
# @license Copyrighted Commercial Software
# Demo: http://www.bonusthemes.com/goto/soccerlift/
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

// no direct access
defined('_JEXEC') or die('Restricted access'); ?>

<div class="bt_content_category_blog">

	<?php if ($this->params->get('show_page_title', 1)) : ?>
	
    <!-- Page Title -->
    <div class="contentheading">
        <?php echo $this->escape($this->params->get('page_title')); ?>
    </div>
    
	<?php endif; ?>

	<?php if ($this->params->get('num_leading_articles')) : ?>

    <!-- Leading Articles -->
        <?php for ($i = $this->pagination->limitstart; $i < ($this->pagination->limitstart + $this->params->get('num_leading_articles')); $i++) : ?>
            <?php if ($i >= $this->total) : break; endif; ?>
            <?php
                $this->item =& $this->getItem($i, $this->params);
                echo $this->loadTemplate('item');
            ?>
        <?php endfor; ?>

    <?php else : $i = $this->pagination->limitstart; endif; ?>
    
    <?php
    $startIntroArticles = $this->pagination->limitstart + $this->params->get('num_leading_articles');
    $numIntroArticles = $startIntroArticles + $this->params->get('num_intro_articles');
    if (($numIntroArticles != $startIntroArticles) && ($i < $this->total)) : ?>
            <?php
                $divider = '';
                if ($this->params->def('multi_column_order', 0)) : // order across, like front page
                    for ($z = 0; $z < $this->params->def('num_columns', 2); $z ++) :
                        if ($z > 0) : $divider = " column_separator"; endif; ?>
                        <?php
                        $rows = (int) ($this->params->get('num_intro_articles', 4) / $this->params->get('num_columns'));
                        $cols = ($this->params->get('num_intro_articles', 4) % $this->params->get('num_columns'));
                        ?>
                        <div style="width:<?php echo intval(100 / $this->params->get('num_columns')) ?>%" class="article_column<?php echo $divider ?>">
                            <?php
                            $loop = (($z < $cols)?1:0) + $rows;
    
                            for ($y = 0; $y < $loop; $y ++) :
                                $target = $i + ($y * $this->params->get('num_columns')) + $z;
                                if ($target < $this->total && $target < ($numIntroArticles)) :
                                    $this->item =& $this->getItem($target, $this->params);
                                    echo $this->loadTemplate('item');
                                endif;
                            endfor;
                            ?>
                        </div>
                    <?php endfor; 
                            $i = $i + $this->params->get('num_intro_articles') ; 
                else : // otherwise, order down, same as before (default behaviour)
                    for ($z = 0; $z < $this->params->get('num_columns'); $z ++) :
                        if ($z > 0) : $divider = " column_separator"; endif; ?>
                        <div style="width:<?php echo intval(100 / $this->params->get('num_columns')) ?>%" class="article_column<?php echo $divider ?>">
                        <?php for ($y = 0; $y < ($this->params->get('num_intro_articles') / $this->params->get('num_columns')); $y ++) :
                        if ($i < $this->total && $i < ($numIntroArticles)) :
                            $this->item =& $this->getItem($i, $this->params);
                            echo $this->loadTemplate('item');
                            $i ++;
                        endif;
                    endfor; ?>
            <?php endfor; 
            endif; ?> 

    <?php endif; ?>
    
    <?php if ($this->params->get('num_links') && ($i < $this->total)) : ?>
	
    	<!-- Links -->
		<?php
            $this->links = array_splice($this->items, $i - $this->pagination->limitstart);
            echo $this->loadTemplate('links');
        ?>

    <?php endif; ?>
    
    <?php if ($this->params->get('show_pagination')) : ?>
    
        <!-- Pagination -->
        <div class="page_links">
            <?php echo $this->pagination->getPagesLinks(); ?>
        </div>
    
    <?php endif; ?>
    
    <?php if ($this->params->get('show_pagination_results')) : ?>

        <!-- Pagination Results -->	
        <div class="counter">
            <?php echo $this->pagination->getPagesCounter(); ?>
        </div>
    
	<?php endif; ?>

</div>