<?php
/*--------------------------------------------------------
# BT Super News v1.0.1 - Joomla Module
# --------------------------------------------------------
# Joomla 1.7
# Copyright (C) 2011 Bonusthemes.com. All Rights Reserved.
# @license GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

defined('_JEXEC') or die('Restricted access');

// Get the hosts name
jimport('joomla.environment.uri' );
$host = JURI::root();
 
// CSS
$document =& JFactory::getDocument();
$document->addStyleSheet($host.'modules/mod_bt_supernews/tmpl/assets/css/type1.css');

$i = 1;
foreach ($bt_supernews_list as $bt_supernews_item) { 

$img_separator = ($i != count($bt_supernews_list)) ? 'padding: 10px 0; background: transparent url(modules/mod_bt_supernews/tmpl/assets/icons/separator.png) repeat-x center bottom;' : 'padding: 10px 0 0 0;';

?>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="margin: 0; <?php echo $img_separator;?>">
     <tr>
		<!-- IMAGE + SECTION / CATEGORY / AUTHOR -->
		<?php if ($bt_supernews_item->image || $bt_supernews_item->section || $bt_supernews_item->category) { ?>           
        <td valign="top" rowspan="2" align="left" width="<?php echo intval($params->get('image_width')); ?>">
            <!-- IMAGE -->
            <?php if ($bt_supernews_item->image) { ?>
                <div style="margin: 3px 10px 10px 0 !important; padding: !important; border-bottom: 7px solid #FF9900; width: <?php echo intval($params->get('image_width')); ?>px;"><?php echo $bt_supernews_item->image; ?></div>
            <?php } ?>
        
            <!-- SECTION / CATEGORY / AUTHOR -->
            <?php if ($bt_supernews_item->section || $bt_supernews_item->category || $bt_supernews_item->author || $bt_supernews_item->date) { ?>			           
            <div style="margin: 0 10px 0 0; font-size: 11px;">
            
            <ul class="bt_arrow_list-3">
                <?php if ($bt_supernews_item->section || $bt_supernews_item->category) { ?>
               	<li>
                <?php } ?>
                
                <!-- SECTION -->
                <?php if ($bt_supernews_item->section) { ?>
                	<span style="color: #666; float: left; padding: 0 2px 0 0;">In:</span>
                	<?php echo $bt_supernews_item->section; ?>, 
                <?php } ?>
                
                <!-- CATEGORY -->
                <?php if ($bt_supernews_item->category) { ?>
                	<?php echo $bt_supernews_item->category; ?>
                <?php } ?>
                
				<?php if ($bt_supernews_item->section || $bt_supernews_item->category) { ?>
				</li>
				<?php } ?>

                <!-- AUTHOR -->
                <?php if ($bt_supernews_item->author) { ?>
                <li>
                    <span style="color: #666; float: left; padding: 0 2px 0 0;">By:</span>
                    <div><?php echo $bt_supernews_item->author; ?></div>
				</li>
                <?php } ?>
                
                <!-- DATE -->
                <?php if ($bt_supernews_item->date) { ?>
                <li>
                	<span style="color: #666; float: left; padding: 0 2px 0 0;">Date:</span>
                	<div><?php echo $bt_supernews_item->date; ?></div>
                </li>
                <?php } ?>
                
            </ul>
            </div>
            <?php } ?>
        </td>
		<?php } ?>
          
          <!-- TITLE / TEXT -->
          <?php if ($bt_supernews_item->title || $bt_supernews_item->text) { ?>
          <td valign="top" align="left">
                <!-- TITLE -->
                <?php if ($bt_supernews_item->title) { ?>
                    <div style="font-size: <?php echo $bt_supernews_item->fontsize; ?>%; margin: 0; line-height: 1.2;"><a href="<?php echo $bt_supernews_item->link; ?>"><?php echo $bt_supernews_item->title; ?></a></div>
                <?php } ?>


			 <?php if ($bt_supernews_item->text) { ?>
             <!-- TEXT -->
                    <!-- INTRO TEXT -->
                    <p style="font-size: 11px;"><?php echo $bt_supernews_item->text; ?>
                    
                    <!-- READMORE TEXT -->
                    <?php if ($bt_supernews_item->readmore) { ?>
                        <span style="font-size: 12px; display: inline;"><?php echo $bt_supernews_item->readmore; ?></span>
                    <?php } ?>
                    
                    </p>
            <?php } ?>

          </td>
          <?php } ?>
          
          <!-- ICONS -->
          <?php if ($bt_supernews_item->print_icon || $bt_supernews_item->email_icon) { ?>
          <td valign="top" align="right">                
            <!-- PRINT ICON -->
            <?php if ($bt_supernews_item->print_icon) { ?>
            <div style="margin: 5px 0 5px 10px;"><?php echo $bt_supernews_item->print_icon; ?></div>
            <?php } ?>
            
            <!-- EMAIL ICON -->
            <?php if ($bt_supernews_item->email_icon) { ?>
            <div style="margin: 0 0 0 10px;"><?php echo $bt_supernews_item->email_icon; ?></div>
            <?php } ?>  
          </td>
          <?php } ?>
          
          
     </tr>
</table>
	
<?php 
$i++;
} 
?>